package com.bonus.canteen.menu.mapper;

import java.util.List;
import com.bonus.canteen.menu.domain.MenuAppRecipe;

/**
 * 移动端菜谱绑定关系Mapper接口
 * 
 * @author xsheng
 * @date 2025-04-03
 */
public interface MenuAppRecipeMapper {
    /**
     * 查询移动端菜谱绑定关系
     * 
     * @param id 移动端菜谱绑定关系主键
     * @return 移动端菜谱绑定关系
     */
    public MenuAppRecipe selectMenuAppRecipeById(Long id);

    /**
     * 查询移动端菜谱绑定关系列表
     * 
     * @param menuAppRecipe 移动端菜谱绑定关系
     * @return 移动端菜谱绑定关系集合
     */
    public List<MenuAppRecipe> selectMenuAppRecipeList(MenuAppRecipe menuAppRecipe);

    /**
     * 新增移动端菜谱绑定关系
     * 
     * @param menuAppRecipe 移动端菜谱绑定关系
     * @return 结果
     */
    public int insertMenuAppRecipe(MenuAppRecipe menuAppRecipe);

    /**
     * 修改移动端菜谱绑定关系
     * 
     * @param menuAppRecipe 移动端菜谱绑定关系
     * @return 结果
     */
    public int updateMenuAppRecipe(MenuAppRecipe menuAppRecipe);

    /**
     * 删除移动端菜谱绑定关系
     * 
     * @param id 移动端菜谱绑定关系主键
     * @return 结果
     */
    public int deleteMenuAppRecipeById(Long id);

    /**
     * 批量删除移动端菜谱绑定关系
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMenuAppRecipeByIds(Long[] ids);
}
